<!DOCTYPE html>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html>
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <base href="#springUrl('/assets/adminlte/')"/>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>工作台</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/font-awesome/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="plugins/ionicons/css/ionicons.min.css">

    <!-- DataTables -->
    <link rel="stylesheet" href="plugins/datatables/dataTables.bootstrap.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/iCheck/flat/blue.css">
    <!-- Morris chart -->
    <link rel="stylesheet" href="plugins/morris/morris.css">
    <!-- jvectormap -->
    <link rel="stylesheet" href="plugins/jvectormap/jquery-jvectormap-1.2.2.css">
    <!-- Date Picker -->
    <link rel="stylesheet" href="plugins/datepicker/datepicker3.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css">
    <link rel="stylesheet"
          href="plugins\bootstrap-fileinput\fileinput.min.css">
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body class="hold-transition skin-blue sidebar-mini">


<div class="wrapper">
    <div class="content-wrapper" style="margin-left:0;">
        <div id="importExcelDiv"></div>

        <section class="content-header">
            <h1>
                咨询单管理
                <small>咨询单</small>
            </h1>
            <ol class="breadcrumb">
                <li><a><i class="fa fa-dashboard"></i>首页</a></li>
                <li><a class="active">咨询单管理列表</a></li>
            </ol>
        </section>


        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <form id="seachTableForm" action="#springUrl('/a/consultSheet/list')" method="get">
                                <div class="col-xs-5" style="width: 800px">
                                    <div class="col-xs-2" >
                                        <input type="text" class="form-control required" style="width:  100px"
                                               name="userName" placeholder="用药人姓名">
                                    </div>
                                    <div class="col-xs-2">
                                        <input type="text" class="form-control required" style="width:  100px"
                                               name="illness" placeholder="病情描述">
                                    </div>
                                    <a href="javascript:void(0)" class="btn btn-primary search">搜索</a>
                                    #if($shiro.hasPermission("qy:consultSheet:edit"))

                                    <a href="#springUrl('/a/consultSheet/exportExcel')" class="btn btn-primary">导出</a>

                                    #end
                                </div>
                            </form>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="table" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <td hidden="true">Id</td>
                                    <th>咨询单编码</th>
                                    <th>用药人姓名</th>
                                    <th>性别</th>
                                    <th>联系电话</th>
                                    <th>疾病史</th>
                                    <th>处方单图片</th>
                                    <th>病情描述</th>
                                    <th>过敏史</th>
                                    <th>药师姓名</th>
                                    <th>客服姓名</th>
                                    <th>审核状态</th>
                                    <th>备注(审核未通过原因)</th>
                                    <th>操作</th>
                                </tr>

                                </thead>
                                <tbody id="tablebody">
                                </tbody>

                            </table>
                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
    </div><!-- /.content-wrapper -->


    <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>
</div><!-- ./wrapper -->
<!-- jQuery 2.1.4 -->
<script src="plugins/jQuery/jQuery-2.1.4.min.js"></script>
<!-- Bootstrap 3.3.5 -->
<script src="bootstrap/js/bootstrap.min.js"></script>
<!-- DataTables -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables/extensions/i18n/lanauage_ch.js"></script>
<script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
<!-- SlimScroll -->
<script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>
<script src="plugins/datepicker/bootstrap-datepicker.js"></script>
<script src="plugins/datepicker/locales/bootstrap-datepicker.zh-CN.js"></script>
<!-- FastClick -->
<script src="plugins/fastclick/fastclick.min.js"></script>
<!--fileinput js-->
<script src="plugins\bootstrap-fileinput\fileinput.js"></script>
<script src="plugins/bootstrap-fileinput/zh.js"></script>
<script src="plugins/bootstrap-fileinput/zh2.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/app.min.js"></script>
<script type="text/javascript"
        src="plugins/jquery-validation/js/jquery.validate.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="common/js/cfapp.js"></script>
<script>
    function formatDates(now) {
        var now = new Date(now);
        var year = now.getFullYear();
        var month = now.getMonth() + 1;
        var date = now.getDate();
        var hour = now.getHours();
        var minute = now.getMinutes();
        var second = now.getSeconds();
        return year + "-" + month + "-" + date + "   " + hour + ":"
            + minute + ":" + second;
    }

    function seachTable() {
        var sSource = "#springUrl('/a/consultSheet/listData')";

        var aoData = {
            iDisplayStart: 1,
            iDosplayLength: 10
        }
        var retrieveData = function (sSource, aoData, fnCallback) {

            $("#seachTableForm input").each(function () {
                var params = {
                    name: $(this).attr("name"),
                    value: $(this).val()
                };
                aoData.push(params);
            })

            $.ajax({
                "type": "GET",
                "url": sSource,
                "dataType": "json",
                "data": aoData, //以json格式传递
                "success": fnCallback
            });
        };


        $('#table').DataTable({
            "lengthChange": false,
            "searching": false,
            "ordering": false,
            "bFiltered": false,
            "bStateSave": true, // save datatable state(pagination, sort, etc) in cookie.
            "bProcessing": true,
            "bServerSide": true,
            "sAjaxSource": sSource,
            "fnServerData": retrieveData,
            "pagingType": "full_numbers",
            "aoColumns": [
                {
                    "mData": "id"
                },
                {
                    "mData": "consultId"
                },
                {
                    "mData": "userName"
                },
                {
                    "mData": "sex"
                },
                {
                    "mData": "iphone"
                },
                {
                    "mData": "pastRecords"
                },
                {
                    "mData": "prescription"
                },
                {
                    "mData": "illness"
                },
                {
                    "mData": "allergy"
                },
                {
                    "mData": "pharmaName"
                },
                {
                    "mData": "customerName"
                },
                {
                    "mData": "status"
                },
                {
                    "mData": "description"
                },
                {
                    "mData": "id"
                }

                ],
            "aoColumnDefs": [
                { // set default column settings
                    'visible': false,
                    'targets': [0]
                },

                {
                    "aTargets": [1],
                    "mData": "consultId",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }

                    }
                },
                {
                    "aTargets": [2],
                    "mData": "userName",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [3],
                    "mData": "sex",
                    "mRender": function (a, b, c, d) {
                        if (a==0){
                            return "女";
                        }else{
                            return "男";
                        }

                    }
                },
                {
                    "aTargets": [4],
                    "mData": "iphone",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }

                },
                {
                    "aTargets": [5],
                    "mData": "pastRecords",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [6],
                    "mData": "prescription",
                    "mRender": function (a, b, c, d) {
                var html =""
                        html+='<img  style="width: 50px;height: auto" src="'+a+'"">'
                        return html;
                    }
                 },
                {
                    "aTargets": [7],
                    "mData": "illness",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [8],
                    "mData": "allergy",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [9],
                    "mData": "pharmaName",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [10],
                    "mData": "customerName",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [11],
                    "mData": "status",
                    "mRender": function (a, b, c, d) {
                        if (a==0){
                            return "待审核";
                        }else if(a==1){
                            return "已通过";
                        }else if(a==2){
                            return "已拒绝";
                        }
                    }
                },
                {
                    "aTargets": [12],
                    "mData": "description",
                    "mRender": function (a, b, c, d) {
                        if(a){
                            return a;
                        }else{
                            return null;
                        }
                    }
                },
                {
                    "aTargets": [13],
                    "mData": "id",
                    "mRender": function (a, b, c, d) {
                        var object = c.status;

                        var html = '';
                        if (object==0 ){
                            html += '#if($shiro.hasPermission("qy:consultSheet:edit"))<a href="#springUrl("/a/consultSheet/form?id=' + a + '")" class="btn green">审核</a>#end';
                        }else{
                            html += '#if($shiro.hasPermission("qy:consultSheet:view"))<a href="#springUrl("/a/consultSheet/form?id=' + a + '")"  class="btn green">查看</a> #end';
                        }



                        return html
                    }
                }
            ]
        });
    }

    jQuery(document).ready(function () {
        seachTable();
        $('.datepicker').datepicker({
            show: true,
            format: 'yyyy-mm-dd',
            autoclose: true,
            language: 'zh-CN',
            todayBtn: 'linked',
            clearBtn: 'linked'

        });
        $('.search').click(function () {
            $("#table").dataTable().fnClearTable();
        });
    });

    Cfapp.init();

    function removeData(data) {
        Cfapp.confirm({
            message: "确定要删除吗",
            btnoktext: "确定",
            btncanceltext: "取消",
            success: function () {
                $.ajax({
                    type: "POST",
                    url: "#springUrl('/a/consultSheet/delete')",
                    data: {id: data},
                    dataType: "json",
                    success: function (data) {
                        if (data.errorNo == 0) {
                            Cfapp.alert({
                                message: "删除成功",
                                btntext: "确定",
                                success: function () {
                                    location.href = "#springUrl('/a/consultSheet/list')";
                                }
                            });
                        }
                    },
                    error: function () {
                    }
                })
            },
            cancel: function () {
                $(".modal-backdrop").fadeOut();
            }
        });
    }

    function importExcel() {
        var templateExcelUrl = "#springUrl('/a/consultSheet/templateExcel')";
        var importExcelUrl = "#springUrl('/a/consultSheet/importExcel')";
        Cfapp.importExcel({
            title: '咨询单导入',
            importurl: importExcelUrl,
            templateurl: templateExcelUrl,
            cancel: function () {

            },
            success: function () {

            }
        });
    }


</script>

</body>
</html>
